/* (c) Beer/Won-wan    2002.5.4 */
#ifndef	_SWAN_H_
#define	_SWAN_H_

area_id	bw_area_id;
uchar	*bw_area_adr=0;
size_t	bw_area_size=0x10000+0x40000;

/*-HARD-----------------*/
/* graphics */
int		bw_col_chr_adr=0x0000;		/* 32x1024	character(color mode)	*/
int		bw_chr_adr=0x8000;			/* 16x512	character(gray mode)	*/
int		bw_scr1_adr=0xa000;			/* 2x32x32 	screen1		*/
int		bw_scr2_adr=0xa800;			/* 2x32x32 	screen2		*/
int		bw_spr_adr=0xb000;			/* 4x128 	sprite		*/
int		bw_col_pal_adr=0xb200;		/* 2x16x16	chr-pallette(color mode)	*/
int		bw_chr_pal_adr=0xb400;		/* 2x16 	chr-pallette(gray mode)	*/
int		bw_lcd_pal_adr=0xb420;		/* 1x8	 	lcd-pallette(gray mode)	*/
int		bw_scr_scrl_adr=0xb430;		/* 1x4		screen-scroll	*/
int		bw_scr2_win_adr=0xb434;		/* 1x4		screen2-window	*/
int		bw_spr_win_adr=0xb438;		/* 1x4		sprite-window	*/
int		bw_spr_rg_adr=0xb43c;		/* 1x2		sprite-range	*/
int		bw_disp_adr=0xb43e;			/* 2		display-control	*/
int		bw_col_mode_adr=0xb440;		/* 1		color mode	*/
int		bw_seg_adr=0xb448;			/* 2		segment		*/
int		bw_lcd_adr=0xb44f;			/* 1		lcd		*/
/* sound */
int		bw_snd_wave_adr=0xb500;		/* 16x4		wave	*/
int		bw_snd_pitch_adr=0xb540;	/* 2x4		pitch	*/
int		bw_snd_vol_adr=0xb548;		/* 1x4		volume	*/
int		bw_snd_sweep_adr=0xb54c;	/* 2		sweep	*/
int		bw_snd_noise_adr=0xb54e;	/* 1		noise	*/
int		bw_snd_voice_adr=0xb54f;	/* 1		voice(vol)	*/
int		bw_snd_ch_adr=0xb550;		/* 1		channel	*/
int		bw_snd_out_adr=0xb551;		/* 1		output	*/
/* key */
int		bw_key_adr=0xb600;			/* 2 		key sense	*/
int		bw_key_hit_adr=0xb602;		/* 2		key hit check	*/
int		bw_key_hitr_adr=0xb604;		/* 2		key hit check(repeat)	*/
int		bw_key_rep_adr=0xb608;		/* 2		repeat rate,delay	*/
/* serial */
int		bw_com_tout_adr=0xb610;		/* 2x2		timeout	*/
int		bw_com_ckey_adr=0xb614;		/* 2		cansel key	*/
int		bw_com_bps_adr=0xb616;		/* 1		baud rate	*/
int		bw_com_cmd_adr=0xb61a;		/* 1		comm request	*/
int		bw_com_len_adr=0xb61c;		/* 2		comm bytes	*/
int		bw_com_stt_adr=0xb61e;		/* 2		comm status	*/
/* system */
int		bw_tick_adr=0xb680;			/* 4 		tick count	*/
int		bw_snd_rnd_adr=0xb6a0;		/* 2		random(noise)	*/
int		bw_hard_adr=0xb6ff;			/* 1 		0.gray 1.color	*/
/*-BIOS-----------------*/
int		bw_text_win_adr=0xb700;		/* 1x4		text window(x,y,w,h)	*/
int		bw_text_base_adr=0xb704;	/* 2		text chr base	*/
int		bw_text_pal_adr=0xb706;		/* 1		text palette	*/
int		bw_text_scr_adr=0xb707;		/* 1		text screen	*/
int		bw_text_mode_adr=0xb708;	/* 1		text mode	*/
int		bw_font_col_adr=0xb70e;		/* 1x2 		mono font color	*/
int		bw_cur_loc_adr=0xb710;		/* 1x4		cursor location	*/
int		bw_cur_type_adr=0xb714;		/* 4		cursor type	*/
int		bw_cur_adr=0xb718;			/* 1		cursor display	*/
int		bw_cur_stt_adr=0xb719;		/* 1		cursor status	*/
/*-signal for BeWitch----*/
int		bw_flag_disp_adr=0xb7f5;	/* 1		update flag	*/
int		bw_flag_sound_adr=0xb7f6;	/* 1		update flag	*/
int		bw_flag_init_adr=0xb7f7;	/* 1		init_ok flag  00.ok	*/
int		bw_ver_adr=0xb7ff;			/* 1		version */
/*-BUFFER---------------*/
int		bw_com_buf_adr=0xb800;		/* b800-ffff */
/*-FONT-----------------*/
int		bw_font_adr=0x10000;		/* 10000-4ffff */

#endif	_SWAN_H_
